Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit
Class InfobitException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.infodesire.infobit.InfobitException

All Implemented Interfaces:
  java.io.Serializable

public class InfobitException
extends java.lang.Exception

exception indication that something went wrong in infobit system

Version:
  $Revision: 1.1 $
Author:
  konstantin
See Also:
  Serialized Form

Constructor Summary
`InfobitException()` Constructor for the InfobitException object
`InfobitException(java.lang.String msg)` Constructor for the InfobitException object
`InfobitException(java.lang.String msg, java.lang.Throwable cause)` Constructor for the InfobitException object
`InfobitException(java.lang.Throwable cause)` Constructor for the InfobitException object

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InfobitException

    public InfobitException()

  Constructor for the InfobitException object

### InfobitException

    public InfobitException(java.lang.String msg)

  Constructor for the InfobitException object

Parameters:
  `msg` - Description of Parameter

### InfobitException

    public InfobitException(java.lang.String msg,
                            java.lang.Throwable cause)

  Constructor for the InfobitException object

Parameters:
  `msg` - Description of Parameter
  `cause` - Description of Parameter

### InfobitException

    public InfobitException(java.lang.Throwable cause)

  Constructor for the InfobitException object

Parameters:
  `cause` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.